import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Employee } from './employee';
import { CompanyInfo } from './company';

@Injectable({
    providedIn: 'root'
})
export class EmployeeService {

    constructor(private http: HttpClient) { }

    textUrl = "/api/message";
    getTextMsg(): Observable<string> {
        return this.http.get(this.textUrl, { responseType: 'text' });
    }

    empUrl = "/api/employee";

    getEmployee(): Observable<Employee[]> {
        return this.http.get<Employee[]>(this.empUrl);
    }

    filterEmployee(name: string, department: string): Observable<Employee[]> {
        let httpHeaders = new HttpHeaders()
            .set('Accept', 'application/json');
        return this.http.get<Employee[]>(this.empUrl + '?name=' + name + '&department=' + department, {
            headers: httpHeaders,
            responseType: 'json'
        });
    }

    companydetails = "/api/companyDetails";

    getFavEmployee(): Observable<any> {
        return this.http.get(this.companydetails, { responseType: 'json' });
    }
    
    getCompanyName(): Observable<CompanyInfo> {
        return this.http.get<CompanyInfo>(this.companydetails, { responseType: 'json' });
    }
}